namespace BasicCoding;

internal static class CommentsAndWhitespace
{
    internal static void SingleLineComments()
    {
        Console.WriteLine("Powiedz"); // Ten tekst zostanie zignorowany, lecz kod
        Console.WriteLine("cokolwiek"); // z jego lewej strony będzie normalnie skompilowany.

    }

    internal static void DelimitedComments()
    {
        Console.WriteLine(/* Ma efekty uboczne */ GetLog());

        /* Niektórzy programiści lubią używać oddzielonych komentarzy do umieszczania
         * w kodzie programu dłuższych bloków tekstu, wyjaśniających coś wyjątkowo
         * złożonego lub dziwnego. Kolumna gwiazdek umieszczona z lewej strony
         * pełni głównie funkcję dekoracyjną; gwiazdki są wymagane wyłącznie 
         * na początku i na końcu komentarza.
         */

        Console.WriteLine("To zadziała"); /* Ten komentarz zawiera nie tylko 
        Console.WriteLine("A to nie");     * tekst z prawej strony, lecz także kod 
        Console.WriteLine("To też nie");  /* umieszczony z lewej, z wyjątkiem początku  
        Console.WriteLine("Ani to");       * pierwszego wiersza kodu. */
        Console.WriteLine("A to zadziała");
    }

    internal static void InsignificantWhitespace()
    {
        Console.WriteLine("Testujemy");
        Console . WriteLine(   "Testujemy");
        Console.
            WriteLine("Testujemy" )
          ;
    }

    private static string GetLog() => "Las";
}
